org.cpsolver.studentsct

## Class GetChoices

- java.lang.Object
- - org.cpsolver.studentsct.GetChoices

-     public class GetChoices
      extends Object

  Process all choice files (files choices.csv) in all subfolders of the given folder and create a CSV (comma separated values text file) combining all choices (one column for each choice file) of the found choices files.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetChoices()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `getChoices(File folder, List<List<String>> choices, String prefix)`
    `static void` | `getChoicesFile(File folder, List<List<String>> choices, String prefix)`
    `static void` | `main(String[] args)`
    `static void` | `writeChoices(List<List<String>> choices, File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetChoices

          public GetChoices()

  - ### Method Detail

    - #### getChoicesFile

          public static void getChoicesFile(File folder,
                                            List<List<String>> choices,
                                            String prefix)

    - #### getChoices

          public static void getChoices(File folder,
                                        List<List<String>> choices,
                                        String prefix)

    - #### writeChoices

          public static void writeChoices(List<List<String>> choices,
                                          File file)

    - #### main

          public static void main(String[] args)